C------------------------------------------------------------------------
C	SET UP SMG ENVIRONMENT FOR COLOR PROGRAMS
C		Dale E. Coy         July, 1986
C		Los Alamos National Laboratory
C
C	Used by PikColors and Color_Changer
C------------------------------------------------------------------------
	Subroutine Color_SMG

        Implicit Integer*4 (A - Z)
	Include 'Color.Dat'

C--------------------------------------------------------------------

	
	Call SMG$Create_Pasteboard
     1		 (Pasteboard_ID,,PB_Rows,PB_Columns)


	Call SMG$Create_Virtual_Keyboard (Keyboard_ID,
	1	'TT')

C------------------------------------------------------------------

	Call SMG$Create_Virtual_Display
     1		 (24,80, Main_Display)

	Call SMG$Create_Virtual_Display
     1		 (3,80, Background_Display)

	Call SMG$Create_Virtual_Display
     1		 (1,80, Reverse_Display,,SMG$M_REVERSE)

	Call SMG$Create_Virtual_Display
     1		 (3,80, Normal_Display)

	Call SMG$Create_Virtual_Display
     1		 (1,80, Bold_Display,,SMG$M_BOLD)

	Call SMG$Create_Virtual_Display
     1		 (1,80, Bold_Reverse_Display,,BR_Mask)



C	NOW SET UP THE INITIAL SCREEN
C----------------------------------------------------------------------

	Call SMG$Begin_Pasteboard_Update (Pasteboard_ID)

	Call SMG$Paste_Virtual_Display
     1		 (Main_Display,Pasteboard_ID,1,1)
  
	Call SMG$End_Pasteboard_Update (Pasteboard_ID)
	
	
9999	Return
        End

